def my_turn(n, alpha, beta):
    print(n, '= ? (', alpha, '-', beta, ')')
    if leaf(n):
        return evaluation(n)
    for next in edge(n):
        temp = your_turn(next, alpha, beta)
        if temp > alpha:
            alpha = temp
        if alpha >= beta:
            return beta 
    return alpha

def your_turn(n, alpha, beta):
    print(n, '= ? (', alpha, '-', beta, ')')
    if leaf(n):
        return evaluation(n)
    for next in edge(n):
        temp = my_turn(next, alpha, beta)
        if temp < beta:
            beta = temp
        if beta <= alpha:
            return alpha
    return beta